---
title: Get a detected connection
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Page Shield](https://developers.cloudflare.com/api/go/resources/page_shield)

[Connections](https://developers.cloudflare.com/api/go/resources/page_shield/subresources/connections)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a detected connection

client.PageShield.Connections.Get(ctx, connectionID, query) (\*[ConnectionGetResponse](<https://developers.cloudflare.com/api/go/resources/page_shield#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/page\_shield/connections/{connection\_id}

Returns a webpage connection detected on the zone by connection ID.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Page Shield``Domain Page Shield Read``Domain Page Shield``Page Shield Read``Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

connectionID string

Identifier

maxLength32

[Link to this property](<#(resource)%20page_shield.connections%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20connection_id%20%3E%20(schema)>)

<details>

<summary>

query ConnectionGetParams

</summary>

ZoneID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20page_shield.connections%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.connections%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ConnectionGetResponse struct{…}

</summary>

ID string

Identifier

maxLength32

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

AddedAt Time

formatdate-time

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20added_at">Link to this property</a>

FirstSeenAt Time

formatdate-time

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20first_seen_at">Link to this property</a>

Host string

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

LastSeenAt Time

formatdate-time

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20last_seen_at">Link to this property</a>

URL string

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20url">Link to this property</a>

URLContainsCDNCGIPath bool

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20url_contains_cdn_cgi_path">Link to this property</a>

DomainReportedMalicious boolOptional

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20domain_reported_malicious">Link to this property</a>

FirstPageURL stringOptional

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20first_page_url">Link to this property</a>

MaliciousDomainCategories \[]stringOptional

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20malicious_domain_categories">Link to this property</a>

MaliciousURLCategories \[]stringOptional

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20malicious_url_categories">Link to this property</a>

PageURLs \[]stringOptional

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20page_urls">Link to this property</a>

URLReportedMalicious boolOptional

<a href="#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)%20%3E%20(property)%20url_reported_malicious">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.connections%20%3E%20(model)%20ConnectionGetResponse%20%3E%20(schema)>)

### Get a detected connection

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  connection, err := client.PageShield.Connections.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    page_shield.ConnectionGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", connection.ID)
}
```

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "added_at": "2021-08-18T10:51:10.09615Z",
    "first_seen_at": "2021-08-18T10:51:08Z",
    "host": "blog.cloudflare.com",
    "last_seen_at": "2021-09-02T09:57:54Z",
    "url": "https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js",
    "url_contains_cdn_cgi_path": false,
    "domain_reported_malicious": false,
    "first_page_url": "blog.cloudflare.com/page",
    "malicious_domain_categories": [
      "Malware"
    ],
    "malicious_url_categories": [
      "Malware"
    ],
    "page_urls": [
      "blog.cloudflare.com/page1",
      "blog.cloudflare.com/page2"
    ],
    "url_reported_malicious": false
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "added_at": "2021-08-18T10:51:10.09615Z",
    "first_seen_at": "2021-08-18T10:51:08Z",
    "host": "blog.cloudflare.com",
    "last_seen_at": "2021-09-02T09:57:54Z",
    "url": "https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js",
    "url_contains_cdn_cgi_path": false,
    "domain_reported_malicious": false,
    "first_page_url": "blog.cloudflare.com/page",
    "malicious_domain_categories": [
      "Malware"
    ],
    "malicious_url_categories": [
      "Malware"
    ],
    "page_urls": [
      "blog.cloudflare.com/page1",
      "blog.cloudflare.com/page2"
    ],
    "url_reported_malicious": false
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```